
<!Doctype html>
<html>

<head>
<?php
//    echo $this->Html->css('bootstrap.min.css');
?>
         <script src="https://cdn.jsdelivr.net/jquery/1.12.4/jquery.min.js"></script>
         <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  
       <!-- for ajax cdn  -->
  <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>


<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.0/jquery.min.js"> </script>  
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.min.js"> </script>  

<script src="https://cdn.jsdelivr.net/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.min.js"></script> -->

</head>

<div class="container-fluid my-0 py-5 bg-info">
            <div class="container">
                <div class="d-flex flex-row justify-content-center ">

                <div id="add"></div>`

                    <div class="col-6">

                        <div class="mb-3 ">

                            <div class="bg-white  border border-top-0 p-3 rounded">
                                <div class="col-lg-12 ">
                                    <h5 class="text-center mt-2 mb-5">Login Page</h5>
                                    
                                    <?php

                                            echo $this->Form->create('login',['method'=>'post','id'=>'myform']);
                                            
                                            echo $this->Form->input('email',['name'=>'email','id'=>'em']);

                                            echo $this->Form->input('password',['name'=>'pass','id'=>"ps"]);

                                            echo $this->Form->submit('submit',['class'=>'ml-2 btn btn-primary']);

                                            // echo $u;
                                                   
                                            echo SessionComponent::read('uid');

                                            // echo $this->request->url['product'];


                                             
                                            // echo  $this->Link->makeEdit();
                                      
                                    ?>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

    </div>

    <div id="add"></div>


    <!-- <h1 data-id="1">
        hello ranjith
    </h1>

    <button>click</button> -->
    

<script>

    $(document).ready(function () {


        // $( "#myform" ).on( "submit", function(e) {

        //     var em = $("#em").val();
        //     var ps = $("#ps").val();

        //     $.ajax({
                
        //         method: 'POST',
        //         url:"Crud/login",
        //         data: {em:em,ps:ps},
        //         <?php //$this->extend('reguser'); ?>
   
   
        //         success:function(d){
        //             // $("#add").html(d);
        //             if(d == 1){

        //                 // window.open('Rbc/dash');
        //                 window.location = 'Crud/profile';

        //             }else{

        //                 alert('you have enter wrong credentials');
        //             }
        //         }
                
        //     });	

        //     e.preventDefault();


        // });

        $("#myform").validate({


            rules: {

            
            'email': {
                required: true,
                email: true,

            },

            'pass': {
                required: true

            }

            },

            messages: {

            'email': "Please enter email ",
            'pass': "Please enter pass "
            

            }


        });


    });




</script>


   
